hpp-corbaserver: hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage > Class Template Reference

`#include <hpp/constraints_idl/constraints-fwd.hh>`

Inheritance diagram for hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::constraints::DifferentiableFunction | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::constraints::DifferentiableFunction, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::constraints_idl::DifferentiableFunction, HppBase)
| DifferentiableFunctionServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~DifferentiableFunctionServant ()
hpp::floatSeq * | value (const hpp::floatSeq &arg)
hpp::floatSeqSeq * | jacobian (const hpp::floatSeq &arg)
hpp::size_type | inputSize ()
hpp::size_type | inputDerivativeSize ()
hpp::size_type | outputSize ()
hpp::size_type | outputDerivativeSize ()
char * | name ()
char * | str ()
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::constraints::DifferentiableFunction, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::constraints::DifferentiableFunction, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::constraints::DifferentiableFunction, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::constraints::DifferentiableFunction hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ DifferentiableFunctionServant()

template<typename _Base , typename _Storage >

hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::DifferentiableFunctionServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~DifferentiableFunctionServant()

template<typename _Base , typename _Storage >

hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::~DifferentiableFunctionServant
| virtual

## Member Function Documentation

## ◆ inputDerivativeSize()

template<typename _Base , typename _Storage >

hpp::size_type hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::inputDerivativeSize

## ◆ inputSize()

template<typename _Base , typename _Storage >

hpp::size_type hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::inputSize

## ◆ jacobian()

template<typename _Base , typename _Storage >

hpp::floatSeqSeq * hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::jacobian | ( | const hpp::floatSeq & | arg | ) |

## ◆ name()

template<typename _Base , typename _Storage >

char * hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::name

## ◆ outputDerivativeSize()

template<typename _Base , typename _Storage >

hpp::size_type hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::outputDerivativeSize

## ◆ outputSize()

template<typename _Base , typename _Storage >

hpp::size_type hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::outputSize

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::constraints_idl::DifferentiableFunction | ,
|  | HppBase |
| ) |  |

## ◆ str()

template<typename _Base , typename _Storage >

char * hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::str

## ◆ value()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::value | ( | const hpp::floatSeq & | arg | ) |

The documentation for this class was generated from the following files:

- src/hpp/constraints_idl/constraints-fwd.hh
- src/hpp/constraints_idl/constraints.hh